import serial
import telebot
import requests
from telebot import types
import time


com='COM8'
ser = serial.Serial(com, 9600)
time.sleep(2)
ser.reset_input_buffer()

bot = telebot.TeleBot("7095334602:AAFRTaO4qmovOB0LVsIa5ijbF6hIwpO6iFY")



@bot.message_handler(commands=['start'])
def start_message(message):
    bot.send_message(message.chat.id, 'Привет! Это бот для умного дома')
    markup = telebot.types.ReplyKeyboardMarkup(row_width=1)

    itembtn1 = telebot.types.KeyboardButton('Подсветка')
    itembtn2 = telebot.types.KeyboardButton('Полить растения')
    itembtn3 = telebot.types.KeyboardButton('Свет')
    itembtn4 = telebot.types.KeyboardButton('проверить Температуру')

    markup.add(itembtn1)
    markup.add(itembtn2)
    markup.add(itembtn3)
    markup.add(itembtn4)

    bot.send_message(message.chat.id, "Выберите действие:", reply_markup=markup)

@bot.message_handler(content_types=['text'])
def echo_message(message):

    if message.text == 'Подсветка':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        btn1 = types.KeyboardButton("Красный")
        btn2 = types.KeyboardButton("Синий")
        btn3 = types.KeyboardButton("Зеленый")
        btn4 = types.KeyboardButton("Фиолетовый")
        btn5 = types.KeyboardButton("бирюзовый")
        btn6 = types.KeyboardButton("Желтый")
        btn7 = types.KeyboardButton("Радуга")
        btn8 = types.KeyboardButton("Вернуться в главное меню")
        markup.add(btn1, btn2, btn3, btn4, btn5, btn6, btn7,btn8)
        bot.send_message(message.chat.id, text="Выбери режим", reply_markup=markup)

    elif message.text == 'Свет':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        btn1 = types.KeyboardButton("Включить")
        btn2 = types.KeyboardButton("Выключить")
        btn3 = types.KeyboardButton("Вернуться в главное меню")
        markup.add(btn1, btn2, btn3)
        bot.send_message(message.chat.id, text="Выберите действие", reply_markup=markup)

    elif message.text == 'Вернуться в главное меню':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        itembtn1 = telebot.types.KeyboardButton('Подсветка')
        itembtn2 = telebot.types.KeyboardButton('Полить растения')
        itembtn3 = telebot.types.KeyboardButton('Свет')
        itembtn4 = telebot.types.KeyboardButton('проверить Температуру')

        markup.add(itembtn1)
        markup.add(itembtn2)
        markup.add(itembtn3)
        markup.add(itembtn4)
        bot.send_message(message.chat.id, text="Вы вернулись в главное меню", reply_markup=markup)

    elif message.text == 'проверить Температуру':
        ser.write(b'tem')
        response = ser.readline()
        decoded_response = response.decode('utf-8')

        bot.send_message(message.chat.id, f"Температура ={decoded_response} ")
    elif message.text == 'Включить':
        ser.write(b'ON')
        bot.send_message(message.chat.id, "Свет Включен")
    elif message.text == 'Выключить':
        ser.write(b'OFF')
        bot.send_message(message.chat.id, "Полить растения")
    elif message.text == 'Выключить':
        ser.write(b'POL')
        bot.send_message(message.chat.id, "Свет выключен")

    else:
        bot.reply_to(message, "я не знаю такой команды")


bot.polling()