#include <SoftwareSerial.h>
#define NUM_LEDS 60
#define left_top_fwd 8
#define left_top_back 7

#define left_dwn_fwd 9
#define left_dwn_back 10

#define right_top_fwd 3
#define right_top_back 2

#define right_dwn_fwd 4
#define right_dwn_back 5
#include "FastLED.h"
#define PIN 13
long c=200;
long r;
long g;
long b;
long speedV;
long r1;
long g1;
long b1;
long maxHue = 100;
long hue;
String effect;
bool morgay = false;
bool rainbow = false;
bool fadeSlow = false;
bool random_color = false;
bool redGradient = false;
bool greenGradient = false;
bool blueGradient = false;
bool pinkGradient = false;
bool skyblueGradient = false;
bool yellowGradient = false;
bool whiteGradient = false;
bool rtbGradient = false;
bool gtpGradient = false;
bool purpleGradient = false;
bool coralGradient = false;
bool mintGradient = false;
uint8_t paletteIndex = 0;
String red, green, blue, speedS;
byte counter;
CRGB leds[NUM_LEDS];
SoftwareSerial bt(11,12);



DEFINE_GRADIENT_PALETTE (red_gradient) {
  0, 255, 0, 0,
  51, 255, 0, 0, 
  128, 255, 211, 0,
  204, 255, 0, 0,
  255, 255, 0, 0, 
};

DEFINE_GRADIENT_PALETTE (green_gradient) {
  0, 0, 255, 0,
  51 ,0, 255, 0,
  128, 0, 255, 75,
  204, 0, 255, 0,
  255, 0, 255, 0 
};

DEFINE_GRADIENT_PALETTE (mint_gradient) {
  0, 0, 255, 75,
  51 ,0, 255, 75,
  128, 0, 255, 200,
  204, 0, 255, 75,
  255, 0, 255, 75
};

DEFINE_GRADIENT_PALETTE (purple_gradient) {
  0, 120, 0, 200,
  51, 120, 0, 200,
  128, 255, 0, 255,
  204, 120, 0, 200,
  255, 120, 0, 200,
};

DEFINE_GRADIENT_PALETTE (yellow_gradient) {
  0, 255, 255, 0,
  51 ,255, 255, 0,
  128, 255, 0, 123,
  204, 255, 255, 0,
  255, 255, 255, 0
};

DEFINE_GRADIENT_PALETTE (white_gradient) {
  0, 40, 40, 40,
  51 , 40, 40, 40,
  128, 255, 255, 255,
  204, 40, 40, 40,
  255, 40, 40, 40
};

DEFINE_GRADIENT_PALETTE (pink_gradient) {
  0, 255, 33, 87,
  51, 255, 33, 87,
  128, 255, 75, 100,
  204, 255, 33, 87,
  255, 255, 33, 87
};

DEFINE_GRADIENT_PALETTE (blue_gradient) {
  0, 0, 0, 255,
  51 ,0, 0, 255,
  128, 0, 150, 250,
  204, 0, 0, 255,
  255, 0, 0, 255
};

DEFINE_GRADIENT_PALETTE (skyblue_gradient) {
  0, 18, 89, 255,
  51 ,18, 89, 255,
  128, 0, 234, 255,
  204, 18, 89, 255,
  255, 18, 89, 255
};

DEFINE_GRADIENT_PALETTE (coral_gradient) {
  0, 255, 0, 42,
  51, 255, 0, 42,
  128, 255, 0, 150,
  204, 255, 0, 42,
  255, 255, 0, 42
};

DEFINE_GRADIENT_PALETTE (red_to_blue_gradient) {
  0, 255, 0, 0,
  51, 255, 0, 0,
  128, 0, 0, 255,
  204, 255, 0, 0,
  255, 255, 0, 0,
};

DEFINE_GRADIENT_PALETTE (green_to_purple_gradient) {
  0, 0, 255, 0,
  51 ,0, 255, 0,
  128, 164, 0, 255,
  204, 0, 255, 0,
  255, 0, 255, 0
};
CRGBPalette16 redGr = red_gradient;
CRGBPalette16 greenGr = green_gradient;
CRGBPalette16 blueGr = blue_gradient;
CRGBPalette16 mintGr = mint_gradient;
CRGBPalette16 purpleGr = purple_gradient;
CRGBPalette16 yellowGr = yellow_gradient;
CRGBPalette16 whiteGr = white_gradient;
CRGBPalette16 coralGr = coral_gradient;
CRGBPalette16 pinkGr = pink_gradient;
CRGBPalette16 skyblueGr = skyblue_gradient;
CRGBPalette16 rtbGr = red_to_blue_gradient;
CRGBPalette16 gtpGr = green_to_purple_gradient;

String data;
void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  bt.begin(9600);
  FastLED.addLeds<WS2812, PIN, GRB>(leds, NUM_LEDS).setCorrection( TypicalLEDStrip );
  FastLED.setBrightness(c);
  pinMode(6, OUTPUT);
}

void loop() {
  // put your main code here, to run repeatedly:

  

  while (bt.available() > 0)
  {
    morgay = false;
    fadeSlow = false;
    rainbow = false;
    random_color = false;
    redGradient = false;
    greenGradient = false;
    blueGradient = false;
    pinkGradient = false;
    skyblueGradient = false;
    yellowGradient = false;
    whiteGradient = false;
    rtbGradient = false;
    gtpGradient = false;
    purpleGradient = false;
    coralGradient = false;
    mintGradient = false;
    FastLED.setBrightness(200);
    data = bt.readStringUntil(';');
    Serial.println(data);
    if (data == "forward"){
      forward();
    }
    else if (data == "right"){
      right();
    }
    else if (data == "left"){
      left();
    }
    else if (data == "back"){
      back();
    }
    else if (data == "stop"){
      sstop();
    }
    else
    {
      red = data.substring(0,2);
      green = data.substring(2,4);
      blue = data.substring(4,6);
      speedS = data.substring(6,8);
      Serial.println(red);
      Serial.println(green);
      Serial.println(blue);
      Serial.println(speedS);
      Serial.println(data);
      effect = data.substring(8,9);
      Serial.println(effect);
      if(effect == "o")
      {
        morgay=true;
        r = strtol( &red[0], NULL, 16);
        g = strtol( &green[0], NULL, 16);
        b = strtol( &blue[0], NULL, 16);
        speedV = strtol( &speedS[0], NULL, 16);
        Serial.println("effect is - " + effect);
        for(int i=0;i<NUM_LEDS;i++)
        {
          leds[i].setRGB(r,g,b);
          FastLED.show();
        }
      }
      else if(effect == "s")
      {
        r = strtol( &red[0], NULL, 16);
        g = strtol( &green[0], NULL, 16);
        b = strtol( &blue[0], NULL, 16);
        speedV = strtol( &speedS[0], NULL, 16);
        Serial.println("effect is - " + effect);
        for(int i=0;i<NUM_LEDS;i++)
        {
          leds[i].setRGB(r,g,b);
          FastLED.show();
        }
      }
      else if(effect == "r")
      {
        redGradient = true;
      }
      else if(effect == "g")
      {
        greenGradient = true;
      }
      else if(effect == "l")
      {
        blueGradient = true;
      }
      else if(effect == "u")
      {
        purpleGradient = true;
      }
      else if(effect == "y")
      {
        yellowGradient = true;
      }
      else if(effect == "w")
      {
        whiteGradient = true;
      }
      else if(effect == "i")
      {
        pinkGradient = true;
      }
      else if(effect == "m")
      {
        mintGradient = true;
      }
      else if(effect == "k")
      {
        skyblueGradient = true;
      }
      else if(effect == "c")
      {
        coralGradient = true;
      }
      else if(effect == "n")
      {
        gtpGradient = true;
      }
      else if(effect == "d")
      {
        rtbGradient = true;
      }
      else if(effect == "f")
      {
        fadeSlow = true;
        r = strtol( &red[0], NULL, 16);
        g = strtol( &green[0], NULL, 16);
        b = strtol( &blue[0], NULL, 16);
        speedV = strtol( &speedS[0], NULL, 16);
        Serial.println(r);
        Serial.println(g);
        Serial.println(b);
        Serial.println("effect is - " + effect);
        for(int i=0;i<NUM_LEDS;i++)
        {
          leds[i].setRGB(r,g,b);
          FastLED.show();
        }
      }
      else if(effect == "b")
      {
        rainbow = true;
        r = strtol( &red[0], NULL, 16);
        g = strtol( &green[0], NULL, 16);
        b = strtol( &blue[0], NULL, 16);
        speedV = strtol( &speedS[0], NULL, 16);
        Serial.println(r);
        Serial.println(g);
        Serial.println(b);
        Serial.println("effect is - " + effect);
      }
      else if(effect == "a")
      {
        random_color = true;
        r = strtol( &red[0], NULL, 16);
        g = strtol( &green[0], NULL, 16);
        b = strtol( &blue[0], NULL, 16);
        speedV = strtol( &speedS[0], NULL, 16);
        Serial.println(r);
        Serial.println(g);
        Serial.println(b);
        Serial.println("effect is - " + effect);
        for(int i=0;i<NUM_LEDS;i++)
        {
          leds[i].setRGB(r,g,b);
          FastLED.show();
        }
      }
      while(morgay)
      {
          if(c == 200)
          {
            c = 20;
            FastLED.setBrightness(c);
          }
          FastLED.show();
          delay(250);
          if(c = 20)
          {
            c = 200;
            FastLED.setBrightness(c);
          }
          FastLED.show();
          delay(2000 / speedV);
          if(bt.read() != -1)
          {
            break;
          }
      }
      while(rainbow)
      {
        for (int i = 0; i < NUM_LEDS; i++ ) 
        {         // от 0 до первой трети
          leds[i] = CHSV(counter + i * speedV / 100, 255, 255);  // HSV. Увеличивать HUE (цвет)
        }
        counter++;        // counter меняется от 0 до 255 (тип данных byte)
        FastLED.show();
        delay(5);
        if(bt.read() != -1)
        {
          break;
        }
      }
      while(fadeSlow)
      {
        while(c>1)
        {
          c = c - 2;
          FastLED.setBrightness(c);
          FastLED.show();
          if(bt.read() != -1)
          {
            break;
          }
          delay(2000/speedV);
        }
        if(c<1)
        {
          while(true)
          {
            if(c>199)
            {
              break;
            }
            c = c + 2;
            FastLED.setBrightness(c);
            FastLED.show();
            if(bt.read() != -1)
            {
              break;
            }
            delay(2000/speedV);
          }
        }
        if(bt.read() != -1)
          {
            break;
          }
      }
      while(random_color)
      {
        randomSeed(analogRead(0));
        r = random(0,255);
        randomSeed(analogRead(1));
        g = random(0,255);
        randomSeed(analogRead(2));
        b = random(0,255);
        for(int i=0;i<NUM_LEDS;i++)
        {
          leds[i].setRGB(r,g,b);
          FastLED.show();
        }
        if(bt.read() != -1)
        {
          break;
        }
        delay(speedV * 1.5);
      }
      data = "";
     }
     while(redGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, redGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
    while(greenGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, greenGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
     while(blueGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, blueGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
     while(purpleGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, purpleGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
  
     while(yellowGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, yellowGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
  
     while(whiteGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, whiteGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
  
     while(pinkGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, pinkGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
  
     while(skyblueGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, skyblueGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
  
     while(mintGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, mintGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
  
     while(coralGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, coralGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
  
     while(rtbGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, rtbGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
  
     while(gtpGradient)
     {
        while (true)
        {
          fill_palette(leds, NUM_LEDS, paletteIndex, 255/ NUM_LEDS, gtpGr, 255, LINEARBLEND);
          EVERY_N_MILLISECONDS(10)
          {
             paletteIndex++;
          }
          FastLED.show();
          if(bt.read() != -1)
          {
              break;
          }
        }
        break;
      }
    }
}


void forward() {
  digitalWrite(left_top_fwd, 1);
  digitalWrite(left_top_back, 0);

  digitalWrite(left_dwn_fwd, 1);
  digitalWrite(left_dwn_back, 0);

  digitalWrite(right_top_fwd, 1);
  digitalWrite(right_top_back, 0);

  digitalWrite(right_dwn_fwd, 1);
  digitalWrite(right_dwn_back, 0);
}

void back() {
  digitalWrite(left_top_fwd, 0);
  digitalWrite(left_top_back, 1);

  digitalWrite(left_dwn_fwd, 0);
  digitalWrite(left_dwn_back, 1);

  digitalWrite(right_top_fwd, 0);
  digitalWrite(right_top_back, 1);

  digitalWrite(right_dwn_fwd, 0);
  digitalWrite(right_dwn_back, 1);
}

void right() {
  digitalWrite(left_top_fwd, 1);
  digitalWrite(left_top_back, 0);

  digitalWrite(left_dwn_fwd, 1);
  digitalWrite(left_dwn_back, 0);

  digitalWrite(right_top_fwd, 0);
  digitalWrite(right_top_back, 1);

  digitalWrite(right_dwn_fwd, 0);
  digitalWrite(right_dwn_back, 1);
}

void left() {
  digitalWrite(left_top_fwd, 0);
  digitalWrite(left_top_back, 1);

  digitalWrite(left_dwn_fwd, 0);
  digitalWrite(left_dwn_back, 1);

  digitalWrite(right_top_fwd, 1);
  digitalWrite(right_top_back, 0);

  digitalWrite(right_dwn_fwd, 1);
  digitalWrite(right_dwn_back, 0);
}

void sstop() {
  digitalWrite(left_top_fwd, 0);
  digitalWrite(left_top_back, 0);

  digitalWrite(left_dwn_fwd, 0);
  digitalWrite(left_dwn_back, 0);

  digitalWrite(right_top_fwd, 0);
  digitalWrite(right_top_back, 0);

  digitalWrite(right_dwn_fwd, 0);
  digitalWrite(right_dwn_back, 0);
}    
